{% extends "base.html" %}
{% load static from staticfiles %}
{% load i18n %}
{% load url from future %}


{% block content %}
    <h2>Organizations list exporting events</h2>

    {% if messages %}
        <p>
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message|safe }}</li>
            {% endfor %}
        </ul>
        </p>
    {% endif %}

    {% if user.is_authenticated and request.user.is_superuser %}
        <ul>
        <li>
                    {{ object_list.count }} organisms registered
        </li>
        </ul>
    {% endif %}

    <table cellpadding="0" cellspacing="0" border="1" class="display" id="calendarTable">
        <thead>
        <tr>
            {% if user.is_authenticated and request.user.is_staff %}
                <th></th>
            {% endif %}
            <th>Region</th>
            <th>City</th>
            <th>Name</th>
            <th>Calendars</th>
        </tr>
        </thead>
        <tbody>

        {% for publisher in object_list %}
            {% if publisher.mycalendar_set.count %}
            <tr>
                {% if user.is_authenticated and request.user.is_staff %}
                    <td>
                        <small><i>{{ forloop.counter|stringformat:"03d" }}</i></small>
                    </td>
                {% endif %}
                <td>{{ publisher.region.name }}</td>
                <td>
                    {% if publisher.city.name == publisher.location %}
                        {{ publisher.city.name }}
                    {% else %}
                        {{ publisher.location }} {% if publisher.city.name %}
                        from GEO {{ publisher.city.name }}{% endif %}
                    {% endif %}
                </td>
                <td style="text-align: left">
                    <a href="{% url 'organisation_detail' publisher.ref %}">{{ publisher.name }}</a>
                     {% if publisher.alias %}
                    {{ publisher.alias }}
                         {% endif %}
                </td>
                <td>
                    {% if publisher.mycalendar_set.count %}
                        <a href="{% url 'organisation_detail' publisher.ref %}">
                            ({{ publisher.mycalendar_set.count }} {% trans "calendars" %})</a>
                    {% else %}
                        <a href="{% url 'organisation_detail' publisher.ref %}">
                            {% trans "No calendars" %}</a>
                    {% endif %}
                </td>
            </tr>
                    {% endif %}
        {% endfor %}
        </tbody>
    </table>

{% endblock %}


{% block css %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>

    <script>
        $(document).ready(function () {
            $('#calendarTable').dataTable({
                "aaSorting": [
                    [ 1, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>

{% endblock %}
